Erik Faye-Lund [off-list ref] writes:
On Fri, Sep 14, 2012 at 6:41 PM, Erik Faye-Lund [off-list ref] wrote:
quoted
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 78c4286..7d1b34b 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -129,6 +129,20 @@ export _x05 _x40 _z40 LF
# This test checks if command xyzzy does the right thing...
# '
# . ./test-lib.sh
+
+if ! which tput > /dev/null ; then
+ tput () {
+ case "$1" in
+ bold)
+ echo -ne "\033[1m" ;;
+ setaf)
+ echo -ne "\033[0;3$2m" ;;
+ sgr0)
+ echo -ne "\033(\033[m" ;;
I should of course have checked this earlier, but I find now that
"echo -ne" isn't portable.
Neither is which, no?
--
*** Please reply-to-all at all times ***
*** (do not pretend to know who is subscribed and who is not) ***
*** Please avoid top-posting. ***
The msysGit Wiki is here: https://github.com/msysgit/msysgit/wiki - Github accounts are free.
You received this message because you are subscribed to the Google
Groups "msysGit" group.
To post to this group, send email to msysgit@googlegroups.com
To unsubscribe from this group, send email to
msysgit+unsubscribe@googlegroups.com
For more options, and view previous threads, visit this group at
http://groups.google.com/group/msysgit?hl=en_US?hl=en
On Fri, Sep 14, 2012 at 7:30 PM, Junio C Hamano [off-list ref] wrote:
Erik Faye-Lund [off-list ref] writes:
quoted
On Fri, Sep 14, 2012 at 6:41 PM, Erik Faye-Lund [off-list ref] wrote:
quoted
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 78c4286..7d1b34b 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -129,6 +129,20 @@ export _x05 _x40 _z40 LF
# This test checks if command xyzzy does the right thing...
# '
# . ./test-lib.sh
+
+if ! which tput > /dev/null ; then
+ tput () {
+ case "$1" in
+ bold)
+ echo -ne "\033[1m" ;;
+ setaf)
+ echo -ne "\033[0;3$2m" ;;
+ sgr0)
+ echo -ne "\033(\033[m" ;;
I should of course have checked this earlier, but I find now that
"echo -ne" isn't portable.
Neither is which, no?
Oooh, right. Thanks for noticing. So I guess I should try to run it
instead. From the POSIX spec, I can't find a way of running it that
guarantees a return-code of 0 without clobbering the console somehow.
Perhaps the best thing is pass no operands, and check for $? == 127 instead?
Something like this?
diff --git a/t/test-lib.sh b/t/test-lib.sh
index a939e19..1433cb3 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -130,7 +130,8 @@ export _x05 _x40 _z40 LF
# '
# . ./test-lib.sh
-if ! which tput > /dev/null ; then
+tput > /dev/null
+if test $? -eq 127 ; then
tput () {
case "$1" in
bold)
--
*** Please reply-to-all at all times ***
*** (do not pretend to know who is subscribed and who is not) ***
*** Please avoid top-posting. ***
The msysGit Wiki is here: https://github.com/msysgit/msysgit/wiki - Github accounts are free.
You received this message because you are subscribed to the Google
Groups "msysGit" group.
To post to this group, send email to msysgit@googlegroups.com
To unsubscribe from this group, send email to
msysgit+unsubscribe@googlegroups.com
For more options, and view previous threads, visit this group at
http://groups.google.com/group/msysgit?hl=en_US?hl=en